@echo off
setlocal

if '%1'=='' goto show_help
if '%1'=='/?' goto show_help
if /i '%1'=='/H' goto show_help
if /i '%1'=='/HELP' goto show_help
if '%3'=='' (
  cls
  echo p[^słB
  goto show_help_no_cls
)

set PROGRAM=%~n0%~x0
set ORACLE_SID=%1
set SYS_PASSWORD=%2
set DB_DIR=%3

set CTRL_DIR=%DB_DIR%
set CTRL_DIR2=
set LOG_DIR=%DB_DIR%
set LOG_DIR2=
set LOG_SIZE=50M
set INIT_DIR=
set CHARACTER_SET=AL32UTF8
set NATIONAL_CARACTER_SET=
set ARCHIVE_LOG=0
set ARCHIVE_DIR=%DB_DIR%\Archive
set MTS=0
set DOMAIN=localdomain
set DB_BLOCK_SIZE=8192
set INITFILE_TEMPLATE=init_template.ora
set COMPATIBLE=10.2.0.1.0
set USE_SPFILE=0
set TBS_USERS_DIR=%DB_DIR%
set TBS_INDX_DIR=%DB_DIR%
set TBS_USERS_SIZE=100M
set TBS_INDX_SIZE=20M
set SILENT=0
set SYSTEM_PASSWORD=%SYS_PASSWORD%
set SGA_TARGET=200M
set SGA_MAX_SIZE=%SGA_TARGET%
set PGA_AGGREGATE_TARGET=100M
set DB_RECOVERY_FILE_DEST=%DB_DIR%\Recovery
set DB_RECOVERY_FILE_DEST_SIZE=2000M


rem p[^̉
echo p[^͒...
:parameter_continue
if '%4'=='' goto parameter_end
rem PARAMTYPE
rem   0 : p[^͂ĂȂ
rem   1 : Ȃp[^ishiftR}h͂Pj
rem   2 : 1̈p[^ishiftR}h͂Qj
set PARAMTYPE=0
if /i '%4' equ '/ORACLE_HOME'           set ORACLE_HOME=%5&set PARAMTYPE=2
if /i '%4' equ '/CTRL_DIR'              set CTRL_DIR=%5&set PARAMTYPE=2
if /i '%4' equ '/CTRL_DIR2'             set CTRL_DIR2=%5&set PARAMTYPE=2
if /i '%4' equ '/LOG_DIR'               set LOG_DIR=%5&set PARAMTYPE=2
if /i '%4' equ '/LOG_DIR2'              set LOG_DIR2=%5&set PARAMTYPE=2
if /i '%4' equ '/LOG_SIZE'              set LOG_SIZE=%5&set PARAMTYPE=2
if /i '%4' equ '/CHARACTER_SET'         set CHARACTER_SET=%5&set PARAMTYPE=2
if /i '%4' equ '/NATIONAL_CARACTER_SET' set NATIONAL_CARACTER_SET=%5&set PARAMTYPE=2
if /i '%4' equ '/ARCHIVE_LOG'           set ARCHIVE_LOG=1&set PARAMTYPE=1
if /i '%4' equ '/NOARCHIVE_LOG'         set ARCHIVE_LOG=0&set PARAMTYPE=1
if /i '%4' equ '/ARCHIVE_DIR'           set ARCHIVE_DIR=%5&set PARAMTYPE=2
if /i '%4' equ '/ARCHIVE_DIR2'          set ARCHIVE_DIR2=%5&set PARAMTYPE=2
if /i '%4' equ '/INIT_DIR'              set INIT_DIR=%5&set PARAMTYPE=2
if /i '%4' equ '/DOMAIN'                set DOMAIN=%5&set PARAMTYPE=2
if /i '%4' equ '/DB_BLOCK_SIZE'         set DB_BLOCK_SIZE=%5&set PARAMTYPE=2

if /i '%4' equ '/SGA_TARGET'            set SGA_TARGET=%5&set PARAMTYPE=2
if /i '%4' equ '/SGA_MAX_SIZE'          set SGA_MAX_SIZE=%5&set PARAMTYPE=2
if /i '%4' equ '/PGA_AGGREGATE_TARGET'  set PGA_AGGREGATE_TARGET=%5&set PARAMTYPE=2

if /i '%4' equ '/DB_RECOVERY_FILE_DEST' set DB_RECOVERY_FILE_DEST=%5&set PARAMTYPE=2
if /i '%4' equ '/DB_RECOVERY_FILE_DEST_SIZE' set DB_RECOVERY_FILE_DEST_SIZE=%5&set PARAMTYPE=2

if /i '%4' equ '/COMPATIBLE'            set COMPATIBLE=%5&set PARAMTYPE=2
if /i '%4' equ '/MTS'                   set MTS=1&set PARAMTYPE=1
if /i '%4' equ '/NOMTS'                 set MTS=0&set PARAMTYPE=1
if /i '%4' equ '/USE_SPFILE'            set USE_SPFILE=1&set PARAMTYPE=1
if /i '%4' equ '/UNUSE_SPFILE'          set USE_SPFILE=0&set PARAMTYPE=1
if /i '%4' equ '/TBS_USERS_DIR'         set TBS_USERS_DIR=%5&set PARAMTYPE=2
if /i '%4' equ '/TBS_INDX_DIR'          set TBS_INDX_DIR=%5&set PARAMTYPE=2
if /i '%4' equ '/TBS_USERS_SIZE'        set TBS_USERS_SIZE=%5&set PARAMTYPE=2
if /i '%4' equ '/TBS_INDX_SIZE'         set TBS_INDX_SIZE=%5&set PARAMTYPE=2
if /i '%4' equ '/SILENT'                set SILENT=1&set PARAMTYPE=1
if /i '%4' equ '/SYSTEM_PASSWORD'       set SYSTEM_PASSWORD=%5&set PARAMTYPE=2

rem ifŏ PARAMTYPE  0 ȊO̒lɂȂĂ
if %PARAMTYPE%==0 (
  cls
  echo p[^ '%4' słB
  goto show_help_no_cls
)
shift
if %PARAMTYPE%==2 shift

goto parameter_continue

:parameter_end

rem p[^̌

rem ORACLE_HOMẼ`FbN
if not exist %ORACLE_HOME%\bin\sqlplus.exe (
  echo error:ORACLE_HOMEϐsł
  echo error:ϐݒ肵Ďs邩AIvVŎw肵ĉ
  goto :end
)

rem p[^t@C̃fBNgw肳ĂȂA%ORACLE_HOME%\Database ɐݒ
if '%INIT_DIR%'=='' set INIT_DIR=%ORACLE_HOME%\Database

rem DB_BLOCK_SIZEɐlݒ肳Ă邩`FbN
if '%DB_BLOCK_SIZE%'=='2048' goto param_db_block_size__validate_ok
if '%DB_BLOCK_SIZE%'=='4096' goto param_db_block_size__validate_ok
if '%DB_BLOCK_SIZE%'=='8192' goto param_db_block_size__validate_ok
if '%DB_BLOCK_SIZE%'=='16384' goto param_db_block_size__validate_ok
if '%DB_BLOCK_SIZE%'=='32768' goto param_db_block_size__validate_ok
echo error:/DB_BLOCK_SIZE ̒lsłB
goto show_help_no_cls
:param_db_block_size__validate_ok

rem CHARACTER_SET̃`FbN
if /i '%CHARACTER_SET%'=='AL16UTF16' (
  echo error:CHARACTER_SET  AL16UTF16 w肷邱Ƃ͂ł܂B
  goto :end
)

rem NATIONAL_CHARACTER_SET̃`FbN
if /i '%NATIONAL_CHARACTER_SET%'=='' goto param_character_set__validate_ok
if /i '%NATIONAL_CHARACTER_SET%'=='AL16UTF16' goto param_character_set__validate_ok
if /i '%NATIONAL_CHARACTER_SET%'=='UTF8' goto param_character_set__validate_ok
  echo error:NATIONAL_CHARACTER_SET  AL16UTF16 ܂ UTF8 w肷Kv܂B
  goto :end
:param_character_set__validate_ok

rem ݒemFʕ\
cls
echo L̐ݒɏ]ăf[^x[X쐬܂B
echo.
echo ORACLE_SID                       : %ORACLE_SID%
echo ORACLE_HOME                      : %ORACLE_HOME%
echo f[^x[X                   : %ORACLE_SID%.%DOMAIN%
echo DBubNTCY                 : %DB_BLOCK_SIZE%
echo SGA_TARGET                       : %SGA_TARGET%
echo SGA_MAX_SIZE                     : %SGA_MAX_SIZE%
echo PGA_AGGREGATE_TARGET             : %PGA_AGGREGATE_TARGET%
echo f[^x[XfBNg         : %DB_DIR%
echo p[^t@C         : %INIT_DIR%\init%ORACLE_SID%.ora
echo t@CfBNg         : %CTRL_DIR%
echo t@CfBNg(2)      : %CTRL_DIR2%
echo REDOOfBNg             : %LOG_DIR%
echo REDOOfBNg(2)          : %LOG_DIR2%
echo REDOOt@CTCY           : %LOG_SIZE%
echo USERSe[uXy[X            : %TBS_USERS_DIR%
echo INDXe[uXy[XfBNg : %TBS_INDX_DIR%
echo USERSe[uXy[XTCY  : %TBS_USERS_SIZE%
echo INDXe[uXy[XTCY   : %TBS_INDX_SIZE%
echo DB_RECOVERY_FILE_DEST            : %DB_RECOVERY_FILE_DEST%
echo DB_RECOVERY_FILE_DEST_SIZE       : %DB_RECOVERY_FILE_DEST_SIZE%
echo INDXe[uXy[XTCY   : %TBS_INDX_SIZE%
if not %ARCHIVE_LOG%==0      echo A[JCuO                   : A[JCuO[h(A[JCu)
if     %ARCHIVE_LOG%==0      echo A[JCuO                   : A[JCuO[h
if not %ARCHIVE_LOG%==0      echo A[JCuOfBNg       : %ARCHIVE_DIR%
if not '%ARCHIVE_DIR2%'==''  echo A[JCuOfBNg(2)    : %ARCHIVE_DIR2%
if not '%CHARACTER_SET%'=='' echo LN^Zbg                 : %CHARACTER_SET%
if not '%NATIONAL_CHARACTER_SET%'=='' echo eLN^Zbg           : %NATIONAL_CHARACTER_SET%
if not %MTS%==0              echo LT[o[vZX             : gp
if     %MTS%==0              echo LT[o[vZX             : gpȂ
if not %USE_SPFILE%==0       echo SPFILE                           : gp
if     %USE_SPFILE%==0       echo SPFILE                           : gpȂ
echo.
if %SILENT%==0 echo 낵ΉL[đsĉB
if %SILENT%==0 pause > nul
cls

rem \zpfBNg̍쐬
mkdir %ORACLE_SID% 2> nul
echo p[^t@C쐬...
if exist %INITFILE_TEMPLATE% echo p[^t@ĈЂȌ`Ƃ %INITFILE_TEMPLATE% p܂B
echo ########################################### > %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Oracle database initialize file >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Generated by %PROGRAM% >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
type %INITFILE_TEMPLATE% >> %ORACLE_SID%\init%ORACLE_SID%.ora 2> nul
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Database and Instance Identification >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "db_name=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo db_name=%ORACLE_SID% >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "db_domain=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo db_domain=%DOMAIN% >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo instance_name=%ORACLE_SID% >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Redo Log and Recovery >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "fast_start_mttr_target=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo fast_start_mttr_target=300 >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "db_recovery_file_dest=" %DB_RECOVERY_FILE_DEST% > nul 2> nul
if not %errorlevel%==0 echo db_recovery_file_dest=%DB_RECOVERY_FILE_DEST% >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "db_recovery_file_dest_size=" %DB_RECOVERY_FILE_DEST_SIZE% > nul 2> nul
if not %errorlevel%==0 echo db_recovery_file_dest_size=%DB_RECOVERY_FILE_DEST_SIZE% >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Miscellaneous >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "aq_tm_processes=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo aq_tm_processes=1 >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "compatible=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo compatible=%COMPATIBLE% >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Optimizer >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "query_rewrite_enabled=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo query_rewrite_enabled=FALSE >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "query_rewrite_integrity=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo query_rewrite_integrity=ENFORCED >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "star_transformation_enabled=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo star_transformation_enabled=TRUE >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Cursors and Library Cache >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "open_cursors=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo open_cursors=300 >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Cache and I/O >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo db_block_size=%DB_BLOCK_SIZE% >> %ORACLE_SID%\init%ORACLE_SID%.ora
rem find /i "db_cache_size=" %INITFILE_TEMPLATE% > nul 2> nul
rem if not %errorlevel%==0 echo db_cache_size=24M >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "db_file_multiblock_read_count=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo db_file_multiblock_read_count=4 >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Memory Managed Undo and Rollback Segments >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "sga_target=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo sga_target=%SGA_TARGET% >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "sga_max_size=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo sga_max_size=%SGA_MAX_SIZE% >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "pga_aggregate_target=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo pga_aggregate_target=%PGA_AGGREGATE_TARGET% >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "sort_area_size=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo sort_area_size=524288 >> %ORACLE_SID%\init%ORACLE_SID%.ora
  rem find /i "java_pool_size=" %INITFILE_TEMPLATE% > nul 2> nul
  rem if not %errorlevel%==0 echo java_pool_size=33554432 >> %ORACLE_SID%\init%ORACLE_SID%.ora
  rem find /i "large_pool_size=" %INITFILE_TEMPLATE% > nul 2> nul
  rem if not %errorlevel%==0 echo large_pool_size=8388608 >> %ORACLE_SID%\init%ORACLE_SID%.ora
  rem find /i "shared_pool_size=" %INITFILE_TEMPLATE% > nul 2> nul
  rem if not %errorlevel%==0 echo shared_pool_size=50331648 >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Undo Managed >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "undo_management=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo undo_management=AUTO >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "undo_retention=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo undo_retention=3600 >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "undo_tablespace=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo undo_tablespace=UNDOTBS01 >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Job Queues >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "job_queue_processes=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo job_queue_processes=10 >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Security and Auditing >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "remote_login_passwordfile=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo remote_login_passwordfile=EXCLUSIVE >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # File Configuration >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
if     '%CTRL_DIR2%'=='' echo control_files=("%CTRL_DIR%\%ORACLE_SID%_CONTROL01.CTL") >> %ORACLE_SID%\init%ORACLE_SID%.ora
if not '%CTRL_DIR2%'=='' echo control_files=("%CTRL_DIR%\%ORACLE_SID%_CONTROL01.CTL", "%CTRL_DIR2%\%ORACLE_SID%_CONTROL02.CTL") >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Processes and Sessions >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "processes=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo processes=150 >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Diagnostics and Statistics >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "background_dump_dest=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo background_dump_dest=%ORACLE_HOME%\admin\%ORACLE_SID%\bdump >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "core_dump_dest=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo core_dump_dest=%ORACLE_HOME%\admin\%ORACLE_SID%\cdump >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "timed_statistics=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo timed_statistics=FALSE >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "user_dump_dest=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo user_dump_dest=%ORACLE_HOME%\admin\%ORACLE_SID%\udump >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo. >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo # Archive log mode >> %ORACLE_SID%\init%ORACLE_SID%.ora
echo ########################################### >> %ORACLE_SID%\init%ORACLE_SID%.ora
if not '%ARCHIVE_DIR%'==''  echo log_archive_dest=%ARCHIVE_DIR% >> %ORACLE_SID%\init%ORACLE_SID%.ora
if not '%ARCHIVE_DIR2%'=='' echo log_archive_duplex_dest=%ARCHIVE_DIR2% >> %ORACLE_SID%\init%ORACLE_SID%.ora
find /i "log_archive_format=" %INITFILE_TEMPLATE% > nul 2> nul
if not %errorlevel%==0 echo log_archive_format="%ORACLE_SID%_T%%tS%%sR%%r.arc" >> %ORACLE_SID%\init%ORACLE_SID%.ora


rem DB쐬XNvg̐
echo DB쐬XNvg̐...
del %ORACLE_SID%\create_db.sql 2> nul

echo shutdown abort >> %ORACLE_SID%\create_db.sql
echo connect sys/%SYS_PASSWORD% as SYSDBA >> %ORACLE_SID%\create_db.sql
echo host echo startup oracle (nomount) >> %ORACLE_SID%\create_db.sql
echo startup nomount pfile=%INIT_DIR%\init%ORACLE_SID%.ora >> %ORACLE_SID%\create_db.sql

echo host echo spool start >> %ORACLE_SID%\create_db.sql
echo spool create_db.log >> %ORACLE_SID%\create_db.sql
echo host echo create database >> %ORACLE_SID%\create_db.sql
echo create database %ORACLE_SID% >> %ORACLE_SID%\create_db.sql
echo    user sys identified by %SYS_PASSWORD% >> %ORACLE_SID%\create_db.sql
echo    user system identified by %SYSTEM_PASSWORD% >> %ORACLE_SID%\create_db.sql
echo    logfile >> %ORACLE_SID%\create_db.sql
if     '%LOG_DIR2%'=='' echo       '%LOG_DIR%\%ORACLE_SID%_log1.log' size %LOG_SIZE% reuse >> %ORACLE_SID%\create_db.sql
if     '%LOG_DIR2%'=='' echo     , '%LOG_DIR%\%ORACLE_SID%_log2.log' size %LOG_SIZE% reuse >> %ORACLE_SID%\create_db.sql
if     '%LOG_DIR2%'=='' echo     , '%LOG_DIR%\%ORACLE_SID%_log3.log' size %LOG_SIZE% reuse >> %ORACLE_SID%\create_db.sql
if not '%LOG_DIR2%'=='' echo       group 1 ('%LOG_DIR%\%ORACLE_SID%_log1.log', '%LOG_DIR2%\%ORACLE_SID%_log1.log') size %LOG_SIZE% reuse >> %ORACLE_SID%\create_db.sql
if not '%LOG_DIR2%'=='' echo     , group 2 ('%LOG_DIR%\%ORACLE_SID%_log2.log', '%LOG_DIR2%\%ORACLE_SID%_log2.log') size %LOG_SIZE% reuse >> %ORACLE_SID%\create_db.sql
if not '%LOG_DIR2%'=='' echo     , group 3 ('%LOG_DIR%\%ORACLE_SID%_log3.log', '%LOG_DIR2%\%ORACLE_SID%_log3.log') size %LOG_SIZE% reuse >> %ORACLE_SID%\create_db.sql
echo    maxinstances 1 >> %ORACLE_SID%\create_db.sql
echo    maxlogfiles 16 >> %ORACLE_SID%\create_db.sql
echo    maxlogmembers 5 >> %ORACLE_SID%\create_db.sql
echo    maxdatafiles 100 >> %ORACLE_SID%\create_db.sql
echo    datafile '%DB_DIR%\%ORACLE_SID%_SYS_1.dbf' size 250M reuse >> %ORACLE_SID%\create_db.sql
echo    autoextend on next 10M maxsize 500M extent management local >> %ORACLE_SID%\create_db.sql
echo    sysaux datafile '%DB_DIR%\%ORACLE_SID%_SYSAUX_1.dbf' size 100M reuse >> %ORACLE_SID%\create_db.sql
echo    autoextend on next 10M maxsize unlimited >> %ORACLE_SID%\create_db.sql
echo    default tablespace USERS >> %ORACLE_SID%\create_db.sql
echo    datafile '%TBS_USERS_DIR%\%ORACLE_SID%_USERS01.dbf' size %TBS_USERS_SIZE% reuse >> %ORACLE_SID%\create_db.sql
echo    autoextend on next 10M maxsize unlimited >> %ORACLE_SID%\create_db.sql
echo    default temporary tablespace TEMP tempfile '%DB_DIR%\%ORACLE_SID%_TEMP_1.dbf' size 50M reuse >> %ORACLE_SID%\create_db.sql
echo    undo tablespace UNDOTBS01 datafile '%DB_DIR%\%ORACLE_SID%_undotbs_1.dbf' size 200M reuse autoextend on maxsize unlimited >> %ORACLE_SID%\create_db.sql
if not '%ARCHIVE_LOG%'=='0' echo    archivelog >> %ORACLE_SID%\create_db.sql
if     '%ARCHIVE_LOG%'=='0' echo    noarchivelog >> %ORACLE_SID%\create_db.sql
if not '%CHARACTER_SET%'=='' echo    character set %CHARACTER_SET% >> %ORACLE_SID%\create_db.sql
if not '%NATIONAL_CHARACTER_SET%'=='' echo    natinal character set %NATIONAL_CARACTER_SET% >> %ORACLE_SID%\create_db.sql
echo  ; >> %ORACLE_SID%\create_db.sql

echo host echo ########################################### ^>^> %INIT_DIR%\init%ORACLE_SID%.ora >> %ORACLE_SID%\create_db.sql
echo host echo # MTS ^>^> %INIT_DIR%\init%ORACLE_SID%.ora >> %ORACLE_SID%\create_db.sql
echo host echo ########################################### ^>^> %INIT_DIR%\init%ORACLE_SID%.ora >> %ORACLE_SID%\create_db.sql
if     %MTS%==0 echo host echo #dispatchers="(PROTOCOL=TCP)" ^>^> %INIT_DIR%\init%ORACLE_SID%.ora >> %ORACLE_SID%\create_db.sql
if     %MTS%==0 echo host echo #shared_servers=4 ^>^> %INIT_DIR%\init%ORACLE_SID%.ora >> %ORACLE_SID%\create_db.sql
if not %MTS%==0 echo host echo dispatchers="(PROTOCOL=TCP)" ^>^> %INIT_DIR%\init%ORACLE_SID%.ora >> %ORACLE_SID%\create_db.sql
if not %MTS%==0 echo host echo shared_servers=4 ^>^> %INIT_DIR%\init%ORACLE_SID%.ora >> %ORACLE_SID%\create_db.sql

if not %USE_SPFILE%==0 echo create spfile from pfile='%INIT_DIR%\init%ORACLE_SID%.ora'; >> %ORACLE_SID%\create_db.sql

rem echo create rollback segment rb_temp; >> %ORACLE_SID%\create_db.sql
rem echo alter rollback segment rb_temp online; >> %ORACLE_SID%\create_db.sql

rem echo create tablespace USERS >> %ORACLE_SID%\create_db.sql
rem echo   datafile '%TBS_USERS_DIR%\%ORACLE_SID%_USERS01.dbf' size %TBS_USERS_SIZE% reuse >> %ORACLE_SID%\create_db.sql
rem echo   autoextend on next 10M maxsize unlimited; >> %ORACLE_SID%\create_db.sql

echo create tablespace USERIDX >> %ORACLE_SID%\create_db.sql
echo   datafile '%TBS_INDX_DIR%\%ORACLE_SID%_IDX01.dbf' size %TBS_INDX_SIZE% reuse >> %ORACLE_SID%\create_db.sql
echo   autoextend on next 10M maxsize unlimited; >> %ORACLE_SID%\create_db.sql

echo @%%ORACLE_HOME%%\rdbms\admin\catalog.sql >> %ORACLE_SID%\create_db.sql
echo @%%ORACLE_HOME%%\rdbms\admin\catproc.sql >> %ORACLE_SID%\create_db.sql
echo connect system/%SYSTEM_PASSWORD% >> %ORACLE_SID%\create_db.sql
echo @%%ORACLE_HOME%%\rdbms\admin\catdbsyn.sql >> %ORACLE_SID%\create_db.sql
echo @%%ORACLE_HOME%%\sqlplus\admin\pupbld.sql >> %ORACLE_SID%\create_db.sql

echo @%%ORACLE_HOME%%\rdbms\admin\utlxplan.sql >> %ORACLE_SID%\create_db.sql
   rem echo create public synonym PLAN_TABLE for SYSTEM.PLAN_TABLE; >> %ORACLE_SID%\create_db.sql
echo grant select on SYSTEM.PLAN_TABLE to public; >> %ORACLE_SID%\create_db.sql
echo grant insert on SYSTEM.PLAN_TABLE to public; >> %ORACLE_SID%\create_db.sql
echo grant update on SYSTEM.PLAN_TABLE to public; >> %ORACLE_SID%\create_db.sql
echo grant delete on SYSTEM.PLAN_TABLE to public; >> %ORACLE_SID%\create_db.sql
echo spool off >> %ORACLE_SID%\create_db.sql
echo quit >> %ORACLE_SID%\create_db.sql

echo @echo off > %ORACLE_SID%\create_db.bat
echo rem %ORACLE_SID% f[^x[X̍쐬 >> %ORACLE_SID%\create_db.bat
echo cls >> %ORACLE_SID%\create_db.bat
echo set ORACLE_SID=%ORACLE_SID% >> %ORACLE_SID%\create_db.bat
echo if '%%ORACLE_HOME%%'=='' set ORACLE_HOME=%ORACLE_HOME%>> %ORACLE_SID%\create_db.bat
echo if not '%%1'=='' set ORACLE_HOME=%%1 >> %ORACLE_SID%\create_db.bat
echo rem f[^x[XfBNg̍쐬 >> %ORACLE_SID%\create_db.bat
echo echo f[^x[XfBNg̍쐬... >> %ORACLE_SID%\create_db.bat
echo mkdir %DB_DIR% 2^> nul >> %ORACLE_SID%\create_db.bat
echo mkdir %CTRL_DIR% 2^> nul >> %ORACLE_SID%\create_db.bat
if not '%CTRL_DIR2%'=='' echo mkdir %CTRL_DIR2% 2^> nul >> %ORACLE_SID%\create_db.bat
echo mkdir %LOG_DIR% 2^> nul >> %ORACLE_SID%\create_db.bat
if not '%LOG_DIR2%'=='' echo mkdir %LOG_DIR2% 2^> nul >> %ORACLE_SID%\create_db.bat
echo mkdir %INIT_DIR% 2^> nul >> %ORACLE_SID%\create_db.bat
echo mkdir %TBS_USERS_DIR% 2^> nul >> %ORACLE_SID%\create_db.bat
echo mkdir %TBS_INDX_DIR% 2^> nul >> %ORACLE_SID%\create_db.bat
echo mkdir %ORACLE_HOME%\admin\%ORACLE_SID%\bdump 2^> nul >> %ORACLE_SID%\create_db.bat
echo mkdir %ORACLE_HOME%\admin\%ORACLE_SID%\cdump 2^> nul >> %ORACLE_SID%\create_db.bat
echo mkdir %ORACLE_HOME%\admin\%ORACLE_SID%\udump 2^> nul >> %ORACLE_SID%\create_db.bat
echo mkdir %DB_RECOVERY_FILE_DEST% 2^> nul >> %ORACLE_SID%\create_db.bat
if not %ARCHIVE_LOG%==0 echo mkdir %ARCHIVE_DIR% 2^> nul >> %ORACLE_SID%\create_db.bat
if not '%ARCHIVE_DIR2%'=='' echo mkdir %ARCHIVE_DIR2% 2^> nul >> %ORACLE_SID%\create_db.bat
echo echo p[^̃Rs[... >> %ORACLE_SID%\create_db.bat
echo copy init%ORACLE_SID%.ora %INIT_DIR%\init%ORACLE_SID%.ora ^> nul >> %ORACLE_SID%\create_db.bat
echo if not %%errorlevel%%==0 ( >> %ORACLE_SID%\create_db.bat
echo   echo error:p[^t@C̃Rs[Ɏs܂B >> %ORACLE_SID%\create_db.bat
echo ) >> %ORACLE_SID%\create_db.bat
echo rem ÂSPFILE΍폜 >> %ORACLE_SID%\create_db.bat
echo del %%ORACLE_HOME%%\database\SPFILE%ORACLE_SID%.ora 2^> nul >> %ORACLE_SID%\create_db.bat
echo rem ÂpX[ht@C΍폜 >> %ORACLE_SID%\create_db.bat
echo del %%ORACLE_HOME%%\database\PWD%ORACLE_SID%.ora 2^> nul >> %ORACLE_SID%\create_db.bat
echo rem Ât@C΍폜 >> %ORACLE_SID%\create_db.bat
echo del %CTRL_DIR%\%ORACLE_SID%_CONTROL01.CTL 2^> nul >> %ORACLE_SID%\create_db.bat
if not '%CTRL_DIR2%'=='' echo del %CTRL_DIR2%\%ORACLE_SID%_CONTROL02.CTL 2^> nul >> %ORACLE_SID%\create_db.bat
echo rem NTT[rX̍쐬 >> %ORACLE_SID%\create_db.bat
echo echo NTT[rX̍쐬... >> %ORACLE_SID%\create_db.bat
echo "%ORACLE_HOME%\bin\oradim.exe" -new -sid %ORACLE_SID% -syspwd %SYS_PASSWORD% -startmode auto -pfile %INIT_DIR%\init%ORACLE_SID%.ora ^> nul >> %ORACLE_SID%\create_db.bat
echo if not %%errorlevel%%==0 ( >> %ORACLE_SID%\create_db.bat
echo   echo error:T[rX̍쐬Ɏs܂B >> %ORACLE_SID%\create_db.bat
echo   echo Œ~ƂCtrl{Căob`t@C~Ă >> %ORACLE_SID%\create_db.bat
echo   pause >> %ORACLE_SID%\create_db.bat
echo ) >> %ORACLE_SID%\create_db.bat
echo. >> %ORACLE_SID%\create_db.bat
echo rem XNvg̎s >> %ORACLE_SID%\create_db.bat
echo echo XNvg̎s... >> %ORACLE_SID%\create_db.bat
echo "%ORACLE_HOME%\bin\sqlplus.exe" "sys/%SYS_PASSWORD% as sysdba" @create_db.sql >> %ORACLE_SID%\create_db.bat
echo echo XNvg̎sI܂ >> %ORACLE_SID%\create_db.bat
echo. >> %ORACLE_SID%\create_db.bat

echo echo G[Ε\܂B >> %ORACLE_SID%\create_db.bat
echo find "ORA-" create_db.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-04043" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-00942" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-01432" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-01434" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-01918" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-01921" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-02289" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "DOC>" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-29807" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-31609" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo ren error.log error1.log>> %ORACLE_SID%\create_db.bat
echo find /v "ORA-06512" error1.log ^> error.log >> %ORACLE_SID%\create_db.bat
echo del error1.log 2^>nul >> %ORACLE_SID%\create_db.bat
echo find "ORA-" error.log >> %ORACLE_SID%\create_db.bat

echo if %%errorlevel%%==0 echo f[^x[X̍쐬ŃG[Ă܂B>> %ORACLE_SID%\create_db.bat
echo if %%errorlevel%%==0 goto :end >> %ORACLE_SID%\create_db.bat
echo echo G[͔܂łB>> %ORACLE_SID%\create_db.bat
echo. >> %ORACLE_SID%\create_db.bat

echo %%ORACLE_HOME%%\bin\tnsping.exe %ORACLE_SID% ^> nul >> %ORACLE_SID%\create_db.bat
echo if %%errorlevel%%==0 goto :tnsnames_ok  >> %ORACLE_SID%\create_db.bat
echo   echo. ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo %ORACLE_SID% = ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo   (DESCRIPTION = ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo     (ADDRESS_LIST = ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo       (ADDRESS = (PROTOCOL = TCP)(HOST = %%COMPUTERNAME%%)(PORT = 1521)) ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo     ) ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo     (CONNECT_DATA = ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
rem echo   echo       (SERVER = DEDICATED) ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo       (SERVICE_NAME = %ORACLE_SID%.%DOMAIN%) ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo     ) ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo   ) ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo. ^>^> %%ORACLE_HOME%%\network\admin\tnsnames.ora >> %ORACLE_SID%\create_db.bat
echo   echo %%ORACLE_HOME%%\network\admin\tnsnames.ora ֐ڑǉ܂B >> %ORACLE_SID%\create_db.bat
echo :tnsnames_ok >> %ORACLE_SID%\create_db.bat
echo echo %%ORACLE_SID%%f[^x[X̍쐬܂B >> %ORACLE_SID%\create_db.bat
echo echo Kvɉ %%ORACLE_HOME%%\network\admin\tnsnames.ora ̏CsĉB >> %ORACLE_SID%\create_db.bat
echo echo Kvɉ %%ORACLE_HOME%%\network\admin\listener.ora ̏CsĉB >> %ORACLE_SID%\create_db.bat
echo :end >> %ORACLE_SID%\create_db.bat

rem sOmFʕ\
if %SILENT%==0 (
  echo %ORACLE_SID% f[^x[X쐬pXNvg܂B
  echo f[^x[X̍쐬JX^}CYꍇ͂Ńob`~Ĉȉ̃t@CҏWĉB
  echo   %ORACLE_SID%\create_db.bat        f[^x[X쐬ob`t@C
  echo   %ORACLE_SID%\create_db.sql        DB쐬pSQLXNvg
  echo   %ORACLE_SID%\init%ORACLE_SID%.ora ̃f[^x[X̏p[^t@C
  rem echo   %ORACLE_SID%\tnsnames.ora         ̃f[^x[Xp tnsnames.ora Tv
  pause sƂ͉L[ĉB
)


rem 쐬XNvgs
cd %ORACLE_SID%
call create_db.bat
cd ..
goto end

rem ob`t@C̎gp@\
:show_help
cls
:show_help_no_cls
echo gp@
echo   %~n0%~x0 ^<ORACLE_SID^> ^<[U[SYS̃pX[h^> ^<f[^x[Xt@Ci[fBNg^> [options...]
echo   options ̐
echo     /ORACLE_HOME xxx   INCXg[pXw肷
echo                        ORACLE_HOME ϐݒ肳ĂƂ͔Cӎw
echo                        ORACLE_HOME ϐݒ肳ĂȂƂ͕K{
echo     /CTRL_DIR xxx      t@Ci[fBNg
echo                        ĺuf[^x[Xt@Ci[fBNgvƂȂ
echo     /CTRL_DIR2 xxx     dt@C̊i[
echo                        w肵Ȃꍇ͐t@C͑dȂ
echo     /LOG_DIR xxx       REDOOt@C̊i[
echo                        ĺuf[^x[Xt@Ci[fBNgvƂȂ
echo     /LOG_DIR2 xxx      dREDOOt@C̊i[
echo                        w肵ȂꍇREDOOt@C͑dȂ
echo     /LOG_SIZE xxx      REDOOt@C̃TCYiPt@Cj
echo                        l 50M
echo     /TBS_USERS_DIR xxx USERS e[uXy[X̃fBNg
echo                        ĺuf[^x[Xt@Ci[fBNgvƂȂ
echo     /TBS_INDX_DIR xxx  INDX e[uXy[X̃fBNg
echo                        ĺuf[^x[Xt@Ci[fBNgvƂȂ
echo     /TBS_USERS_SIZE xxx USERS e[uXy[X̏TCY
echo                        l 100M
echo     /TBS_INDX_SIZE xxx INDX e[uXy[X̏TCY
echo                        l 20M
echo     /SGA_TARGET    xxx SGAGA̖ڕWTCY
echo                        l 200M
echo     /SGA_MAX_SIZE  xxx SGAGA̍őTCY
echo                        l 200M
echo     /PGA_AGGREGATE_TARGET  xxx PGAGA̖ڕWTCY
echo                        l 100M
echo     /DB_RECOVERY_FILE_DEST xxx f[^x[X̃Jö
echo                        l[f[^x[Xt@Ci[fBNg]\Recovery
echo     /DB_RECOVERY_FILE_DEST_SIZE xxx f[^x[X̃JöTCY
echo                        l 2048M
echo     /CHARACTER_SET xxx LN^Zbg
echo                        lAL32UTF8
echo                        AL16UTF16 w肷邱Ƃ͂łȂ
echo     /NATIONAL_CHARACTER_SET xxx eLN^Zbg
echo                                 NCHAR, NVARCHAR2, NCLOBɎgp
echo                                 AL16UTF16܂UTF8̂ꂩw肷
echo                                 lAL16UTF16
echo     /ARCHIVE_LOG       A[JCuO[hō쐬
echo     /NOARCHIVE_LOG     A[JCuO[hō쐬iftHgj
echo     /ARCHIVE_DIR xxx   A[JCuOt@C̊i[
echo                        ĺuf[^x[Xt@Ci[fBNgvƂȂ
echo     /ARCHIVE_DIR2 xxx  dA[JCuOt@C̊i[
echo                        w肵Ȃꍇ̓A[JCuOt@C͑dȂ
echo     /INIT_DIR xxx      p[^t@C̊i[
echo                        l%%ORACLE_HOME%%\DatabaseƂȂ
echo                        lȊOgpƂ startup R}hs pfile
echo                        IvVw肵āAp[^̈ʒuw肵Ȃ
echo                        ΂ȂȂ
echo     /MTS               LT[o[\Lɂ
echo                        dispachers p[^ǉ
echo     /NOMTS             LT[o[\𖳌ɂiftHgj
echo     /USE_SPFILE        SPFILEgpi쐬j
echo     /UNUSE_SPFILE      SPFILEgpȂiftHgj
echo     /DOMAIN xxx        hCw肷
echo                        l localdomain
echo     /DB_BLOCK_SIZE xxx DBubNTCYw肷 4096, 8192, 16384 ... Ȃ
echo                        l 8192 (Windows̏lƓ)
echo     /COMPATIBLE xxx    COMPATIBLEp[^w肷
echo                        l 10.2.0.1.0
echo     /SILENT            TCg쐬
echo                        p[^̊mFs킸Ƀf[^x[X쐬
echo     /SYSTEM_PASSWORD   [U[ SYSTEM ̃pX[h
echo                        l manager
echo.
echo  Oraclẽf[^x[X쐬܂Bnꂽɏ]čŏɃf[^x[X쐬pob`t@CASQLXNvgAp[^t@C𐶐܂B̌f[^x[X쐬pob`t@CsAf[^x[X쐬܂B̃f[^x[X쐬pob`t@C̓f[^x[X̍č쐬̍ۂ⑼̃Rs[^ւ̈ڍsɂgpł܂B
echo  s̃fBNg init_template.ora ꍇ́Aꂪp[^t@ĈЂȌ`ƂȂ܂B{Iɂ̃t@C͏p[^t@Ĉ̂łAȉ̃p[^͎w肷邱Ƃł܂B܂Ap[^'='(CR[)̊ԂɃXy[X܂܂Ȃ悤ɂĉB
echo    INSTANCE_NAME       ^<ORACLE_SID^> ()Ŏw肷
echo    DB_BLOCK_SIZE           /DB_BLOCK_SIZE Ŏw肷
echo    CONTROL_FILES           /CTRL_DIR, /CTRL_DIR2 Ŏw肷
echo    LOG_ARCHIVE_START       /ARCHIVE_LOG, /NOARCHIVE_LOGŎw肷
echo    LOG_ARCHIVE_DEST        /ARC_DIR Ŏw肷
echo    LOG_ARCHIVE_DUPLEX_DEST /ARC_DIR2 Ŏw肷
echo    DISPATCHERS              /MTS Ŏw肷
:end
endlocal

rem copyright 2003 m.matsubara
